
QGIS Application - Bug report #20669

crash qgis desktop modifying virtual layer connected on spatialite

2018-11-29 09:49 AM - Marta Puppo

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:3.2.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28489

Description

User Feedback

Report Details

Crash ID: a4afa28f53b8c7ad1af35c8d498879b58a738fae

Stack Trace

QgisApp::addVectorLayer :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QgsAbstractDataSourceWidget::addVectorLayer :

sourceSelectProviders :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::addVirtualLayer :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-29 01:47 PM - Giovanni Manghi

- Status changed from Open to Feedback
Please:

try 3.4.2. as 3.2 is obsolete

try with a new/clean profile

add detailed steps (and project/data) to replicate

thanks!

#2 - 2019-02-11 04:12 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
